跳转到主要内容
GET
/
v2
/
enterprise
/
organizations
/
{org_id}
/
git
/
connections
Enterprise 组织连接端点
curl --request GET \
  --url https://api.devin.ai/v2/enterprise/organizations/{org_id}/git/connections \
  --header 'Authorization: Bearer <token>'
{
  "has_more": true,
  "items": [
    {
      "connection_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "host": "<string>",
      "name": "<string>",
      "type": "github_token"
    }
  ],
  "limit": 123,
  "skip": 123,
  "total": 123,
  "next_cursor": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

需要 Enterprise 管理员的个人 API key。 返回你所在 Enterprise 中某个特定组织可访问的 Git 连接的分页列表。

授权

Authorization
string
header
必填

仅供 Enterprise 管理员使用的个人 API Key(apk_user_*)

路径参数

org_id
string
必填

查询参数

skip
integer
默认值:0
必填范围: x >= 0
limit
integer
默认值:100
必填范围: 1 <= x <= 200

响应

成功响应

has_more
boolean
必填
items
GitConnectionResponse · object[]
必填
limit
integer
必填
skip
integer
必填
total
integer
必填
next_cursor
integer | null